<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.CustomerMapper">

    <resultMap id="BaseResultMap" type="com.yd.csf.service.model.Customer">
        <id property="id" column="id" />
        <result property="customerBizId" column="customer_biz_id" />
        <result property="nameCn" column="name_cn" />
        <result property="namePyEn" column="name_py_en" />
        <result property="documentType" column="document_type" />
        <result property="idNumber" column="id_number" />
        <result property="gender" column="gender" />
        <result property="birthday" column="birthday" />
        <result property="age" column="age" />
        <result property="nationality" column="nationality" />
        <result property="birthplace" column="birthplace" />
        <result property="isOtherCountry" column="is_other_country" />
        <result property="taxList" column="tax_list" />
        <result property="smokingStatus" column="smoking_status" />
        <result property="maritalStatus" column="marital_status" />
        <result property="educationLevel" column="education_level" />
        <result property="isRetirement" column="is_retirement" />
        <result property="retirementAge" column="retirement_age" />
        <result property="height" column="height" />
        <result property="weight" column="weight" />
        <result property="bmi" column="bmi" />
        <result property="riskAppetite" column="risk_appetite" />
        <result property="dependentsNum" column="dependents_num" />
        <result property="mobileCode" column="mobile_code" />
        <result property="mobile" column="mobile" />
        <result property="residenceMobileCode" column="residence_mobile_code" />
        <result property="residenceMobile" column="residence_mobile" />
        <result property="landlineCode" column="landline_code" />
        <result property="landline" column="landline" />
        <result property="email" column="email" />
        <result property="certificateAddress" column="certificate_address" />
        <result property="mailingAddress" column="mailing_address" />
        <result property="residentialAddress" column="residential_address" />
        <result property="mailingAddressCode" column="mailing_address_code" />
        <result property="employmentStatus" column="employment_status" />
        <result property="csName" column="cs_name" />
        <result property="industry" column="industry" />
        <result property="currentMonthlyIncome" column="current_monthly_income" />
        <result property="totalWorkingYears" column="total_working_years" />
        <result property="currentTenure" column="current_tenure" />
        <result property="position" column="position" />
        <result property="companyAddress" column="company_address" />
        <result property="companyMobileCode" column="company_mobile_code" />
        <result property="companyMobile" column="company_mobile" />
        <result property="companyAddressCode" column="company_address_code" />
        <result property="monthIncome" column="month_income" />
        <result property="monthExpenditure" column="month_expenditure" />
        <result property="totalCurrentAssets" column="total_current_assets" />
        <result property="totalDebt" column="total_debt" />
        <result property="travel" column="travel" />
        <result property="exercise" column="exercise" />
        <result property="game" column="game" />
        <result property="movieDrama" column="movie_drama" />
        <result property="delicacy" column="delicacy" />
        <result property="addressList" column="address_list" />
        <result property="remark" column="remark" />
        <result property="isDeleted" column="is_deleted" />
        <result property="creatorId" column="creator_id" />
        <result property="updaterId" column="updater_id" />
        <result property="createTime" column="create_time" />
        <result property="updateTime" column="update_time" />
    </resultMap>

    <sql id="Base_Column_List">
        id,customer_biz_id,name_cn,name_py_en,document_type,id_number,
        gender,birthday,age,nationality,birthplace,
        is_other_country,tax_list,smoking_status,marital_status,education_level,is_retirement,
        retirement_age,height,weight,bmi,risk_appetite,
        dependents_num,mobile_code,mobile,residence_mobile_code,residence_mobile,
        landline_code,landline,email,certificate_address,mailing_address,
        residential_address,mailing_address_code,employment_status,cs_name,industry,
        current_monthly_income,total_working_years,current_tenure,position,company_address,
        company_mobile_code,company_mobile,company_address_code,month_income,month_expenditure,
        total_current_assets,total_debt,travel,exercise,game,
        movie_drama,delicacy,address_list,remark,is_deleted,
        creator_id,updater_id,create_time,update_time
    </sql>
</mapper>
